de.esprit.appsuite.gui.pathtree

## Class PathTreeNodeSelector

- java.lang.Object
- - de.esprit.common.gui.tree.TreeModelListenerAdapter
  - - de.esprit.appsuite.gui.pathtree.PathTreeNodeSelector

- All Implemented Interfaces:
    java.util.EventListener, javax.swing.event.TreeModelListener
  Direct Known Subclasses:
    AbstractPathTreeNodeCreator, AbstractPathTreeNodeUpdater

      public class PathTreeNodeSelector
      extends TreeModelListenerAdapter

  This adapter awaits a particular `TreeModelEvent` and selects the according `PathTreeNode` when the event was received. A `PathTreeNodeSelector` instance is only valid for one single node-selection. It deregisters from the `TreeModel` once it has done it's job.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathTreeNodeSelector(PathTree tree, java.nio.file.Path path, ChangeType changeType, boolean isExpand)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PathTreeModel` | `getModel()`
    `java.nio.file.Path` | `getPath()`
    `void` | `treeNodesChanged(javax.swing.event.TreeModelEvent e)` Default implementation forwards to `TreeModelListenerAdapter.handleEvent(TreeModelEvent, ChangeType)`.
    `void` | `treeNodesInserted(javax.swing.event.TreeModelEvent e)` Default implementation forwards to `TreeModelListenerAdapter.handleEvent(TreeModelEvent, ChangeType)`.
    `void` | `treeNodesRemoved(javax.swing.event.TreeModelEvent e)` Default implementation forwards to `TreeModelListenerAdapter.handleEvent(TreeModelEvent, ChangeType)`.

    - ### Methods inherited from class de.esprit.common.gui.tree.TreeModelListenerAdapter

      `deregister, handleEvent, treeStructureChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PathTreeNodeSelector

          public PathTreeNodeSelector(PathTree tree,
                              java.nio.file.Path path,
                              ChangeType changeType,
                              boolean isExpand)

  - ### Method Detail

    - #### getModel

          public PathTreeModel getModel()

      Overrides:
        `getModel` in class `TreeModelListenerAdapter`

    - #### getPath

          public java.nio.file.Path getPath()

    - #### treeNodesInserted

          public void treeNodesInserted(javax.swing.event.TreeModelEvent e)

      Description copied from class: `TreeModelListenerAdapter`
      Default implementation forwards to `TreeModelListenerAdapter.handleEvent(TreeModelEvent, ChangeType)`.
      Specified by:
        `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`
      Overrides:
        `treeNodesInserted` in class `TreeModelListenerAdapter`

    - #### treeNodesChanged

          public void treeNodesChanged(javax.swing.event.TreeModelEvent e)

      Description copied from class: `TreeModelListenerAdapter`
      Default implementation forwards to `TreeModelListenerAdapter.handleEvent(TreeModelEvent, ChangeType)`.
      Specified by:
        `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`
      Overrides:
        `treeNodesChanged` in class `TreeModelListenerAdapter`

    - #### treeNodesRemoved

          public void treeNodesRemoved(javax.swing.event.TreeModelEvent e)

      Description copied from class: `TreeModelListenerAdapter`
      Default implementation forwards to `TreeModelListenerAdapter.handleEvent(TreeModelEvent, ChangeType)`.
      Specified by:
        `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`
      Overrides:
        `treeNodesRemoved` in class `TreeModelListenerAdapter`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.